# Installation
> `npm install --save @types/ember__destroyable`

# Summary
This package contains type definitions for @ember/destroyable (https://api.emberjs.com/ember/3.22/modules/@ember%2Fdestroyable).

# Details
Files were exported from https://github.com/DefinitelyTyped/DefinitelyTyped/tree/master/types/ember__destroyable.
## [index.d.ts](https://github.com/DefinitelyTyped/DefinitelyTyped/tree/master/types/ember__destroyable/index.d.ts)
````ts
export function associateDestroyableChild<T extends object>(parent: object, child: T): T;

export function isDestroying(destroyable: object): boolean;

export function isDestroyed(destroyable: object): boolean;

export function destroy(destroyable: object): void;

export function assertDestroyablesDestroyed(): void;

export function enableDestroyableTracking(): void;

export function registerDestructor<T extends object>(
    destroyable: T,
    destructor: (destroyable: T) => void,
): (destroyable: T) => void;

export function unregisterDestructor<T extends object>(destroyable: T, destructor: (destroyable: T) => void): void;

````

### Additional Details
 * Last updated: Tue, 16 Jan 2024 17:36:15 GMT
 * Dependencies: none

# Credits
These definitions were written by [Krystan HuffMenne](https://github.com/gitKrystan), [James C. Davis](https://github.com/jamescdavis), and [Peter Wagenet](https://github.com/wagenet).
